package org.example.wedding_app_backend.weddingQuiz.entity;

import jakarta.persistence.*;
import lombok.*;
import org.example.wedding_app_backend.wedding.entity.WeddingEntity;

import java.util.UUID;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@ToString
@EqualsAndHashCode
@Entity
@Table(name = "wedding_quiz_questions")
public class WeddingQuizEntity {


    @Id
    private UUID id;

    private String question;
    private String answer1;
    private String answer2;
    private String answer3;
    private String answer4;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "wedding")
    private WeddingEntity wedding;

}

