package org.example.wedding_app_backend.whoKnowsBetterResults.service;

import lombok.RequiredArgsConstructor;
import org.example.wedding_app_backend.wedding.repository.WeddingRepository;
import org.example.wedding_app_backend.whoKnowsBetterQuiz.repository.WhoKnowsBetterQuizRepository;
import org.example.wedding_app_backend.whoKnowsBetterResults.repository.ResultsRepository;
import org.example.wedding_app_backend.whoKnowsBetterQuiz.model.WhoKnowsBetterQuiz;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

@Service
@RequiredArgsConstructor
public class ResultsService {

    private final WeddingRepository weddingRepository;
    private final WhoKnowsBetterQuizRepository whoKnowsBetterQuizRepository;


    public Optional<List<WhoKnowsBetterQuiz>> findAllResults(UUID weddingId) {
        return weddingRepository.findById(weddingId)
                .map(wedding -> whoKnowsBetterQuizRepository.findAllByWedding(wedding));
    }

}
