import {Component, Inject, Input} from '@angular/core';
import { WeddingType } from '../../../models/wedding.type';

@Component({
  selector: 'app-info-carad',
  standalone: true,
  imports: [],
  templateUrl: './info-card.component.html',
  styleUrl: './info-card.component.css'
})
export class InfoCardComponent {
  wedding: WeddingType | null;

  constructor(@Inject('componentData') private data: any) {
    this.wedding = data.wedding;
  }
}
