import {KeycloakService} from './keycloak.service';
import {isPlatformBrowser} from '@angular/common';

export function kcFactory(kcService: KeycloakService, platformId: object) {
  return () => {
    if (isPlatformBrowser(platformId)) {
      return kcService.init();
    }
    return Promise.resolve(); // Prevents issues in SSR
  };
}
