package org.example.wedding_app_backend.wedding.repository;

import org.example.wedding_app_backend.wedding.entity.WeddingEntity;
import org.example.wedding_app_backend.weddingGuest.entity.WeddingGuestEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;
import java.util.UUID;

@Repository
public interface WeddingRepository
        extends JpaRepository<WeddingEntity, UUID> {

    Optional<WeddingEntity> findByUserId(UUID userId);
}
