package org.example.wedding_app_backend.weddingGuest.dto;


import lombok.*;

import java.util.UUID;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@ToString
@EqualsAndHashCode
public class GetWeddingGuestWithGroupInformation {

    @Getter
    @Setter
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor(access = AccessLevel.PRIVATE)
    @ToString
    @EqualsAndHashCode
    public static class WeddingConfirmationGroup {

        private UUID id;

        private String name;
    }

    private UUID id;

    private Boolean presenceConfirmed;

    private String guestName;

    private String guestAge;

    private WeddingConfirmationGroup weddingConfirmationGroup;

}
