package org.example.wedding_app_backend.weddingGuest.function;

import org.example.wedding_app_backend.weddingConfirmationGroup.entity.WeddingConfirmationGroupEntity;
import org.example.wedding_app_backend.weddingGuest.dto.*;
import org.example.wedding_app_backend.weddingGuest.entity.WeddingGuestEntity;
import org.mapstruct.MapMapping;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import java.util.List;

@Mapper(componentModel = "spring")
public interface WeddingGuestMapper {
    GetWeddingGuestQuizState quizEntityToRepresentation(WeddingGuestEntity entity);

    GetWeddingGuestQuizScore quizScoreEntityToRepresentation(WeddingGuestEntity entity);

    List<GetWeddingGuestsFinalScores> quizScoresEntityToRepresentation(List<WeddingGuestEntity> entity);

    List<GetWeddingGuestInformation> guestsDataEntityToRepresentation(List<WeddingGuestEntity> entity);

    GetWeddingGuestWhoKnowsBetterQuizState whoKnowsBetterQuizEntityToRepresentation(WeddingGuestEntity entity);


}
