package org.example.wedding_app_backend.weddingPresent.dto;

import lombok.*;

import java.util.UUID;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@ToString
@EqualsAndHashCode
public class GetWeddingPresentResponse {

    private UUID id;

    private String name;

    private String linkToPresent;

    private String description;

    private UUID reservedBy;

}
