package org.example.wedding_app_backend.weddingPresent.repository;

import org.example.wedding_app_backend.weddingGuest.entity.WeddingGuestEntity;
import org.example.wedding_app_backend.weddingPresent.entity.WeddingPresentEntity;
import org.springframework.data.domain.Limit;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

@Repository
public interface WeddingPresentRepository
        extends JpaRepository<WeddingPresentEntity, UUID> {

    Optional<List<WeddingPresentEntity>> findAllByWeddingId(UUID weddingId);

    Optional<WeddingPresentEntity> findByWeddingIdAndId(UUID weddingId, UUID id);

    Optional<WeddingPresentEntity> findById(UUID id);

}