package org.example.wedding_app_backend.whoKnowsBetterQuiz.model;

import jakarta.persistence.*;
import lombok.*;
import org.example.wedding_app_backend.wedding.entity.WeddingEntity;

import java.security.PrivateKey;
import java.util.UUID;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@ToString
@EqualsAndHashCode
@Entity
@Table(name = "wedding_who_knows_better_quiz_scores")
public class WhoKnowsBetterQuiz {
    @Id
    private UUID id;
    private String question;
    private Integer groomScore;
    private Integer brideScore;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "wedding")
    private WeddingEntity wedding;
}
