import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { ButtonModule } from 'primeng/button';

interface NavLink {
  label: string;
  path: string;
}

@Component({
  selector: 'app-nav-bar',
  standalone: true,
  imports: [CommonModule, RouterModule, ButtonModule],
  templateUrl: './nav-bar.component.html',
  styleUrls: ['./nav-bar.component.css']
})
export class NavBarComponent {
  navLinks: NavLink[] = [
    {label: 'Home', path: ''},
    { label: 'Serwisy', path: 'services' },
    { label: 'Kontakt', path: 'contact' }
  ];
}
