import {Component, OnInit} from '@angular/core';
import {RouterOutlet} from '@angular/router';
import {UserSidebarComponent} from '../user-sidebar/user-sidebar.component';
import {KeycloakService} from '../../keycloak/keycloak.service';

@Component({
  selector: 'app-user-page',
  standalone: true,
  imports: [
    RouterOutlet,
    UserSidebarComponent
  ],
  templateUrl: './user-page.component.html',
  styleUrl: './user-page.component.css'
})
export class UserPageComponent implements OnInit {

    constructor(private keyCloakService: KeycloakService) {}

    async ngOnInit() {
    }

}
