import { TestBed } from '@angular/core/testing';
import { HttpInterceptorFn } from '@angular/common/http';

import { HttpTokenInterceptor } from './http-token.interceptor';
import { HTTP_INTERCEPTORS } from '@angular/common/http';
import {HttpTestingController} from '@angular/common/http/testing';

describe('httpTokenInterceptor', () => {
  let interceptor: HttpTokenInterceptor;
  let httpMock: HttpTestingController;

  beforeEach(() => {
    TestBed.configureTestingModule({
      providers: [
        {
          provide: HTTP_INTERCEPTORS,
          useClass: HttpTokenInterceptor,
          multi: true
        }
      ]
    });

    // Inicjalizacja zmiennych
    interceptor = TestBed.inject(HttpTokenInterceptor);
    httpMock = TestBed.inject(HttpTestingController);
  });

  it('should be created', () => {
    expect(interceptor).toBeTruthy();
  });
});
