import { Injectable } from '@angular/core';
import {BehaviorSubject} from 'rxjs';
import {WeddingType} from '../models/wedding.type';

@Injectable({
  providedIn: 'root'
})
export class SharedService {

  private weddingMessageSource = new BehaviorSubject<boolean>(true)
  currentMessage = this.weddingMessageSource.asObservable();

  constructor() { }

  changeWeddingMessage(weddingMessage: boolean): void {
    this.weddingMessageSource.next(weddingMessage);
  }
}
