import {RouterModule, Routes} from '@angular/router';
import {GuestsComponent} from './components/guests/guests.component';
import {UserDashboardComponent} from './components/user-dashboard/user-dashboard.component';
import {PresentUserComponent} from './components/present-user/present-user.component';

export const USER_PAGE_ROUTS: Routes = [
  { path: '', redirectTo: 'dashboard', pathMatch: 'full' },
  { path: 'guests', component: GuestsComponent },
  { path: 'dashboard', component: UserDashboardComponent },
  { path: 'presents', component: PresentUserComponent },
];
